<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
    <id>bdd</id>
    <formats>
        <format>tar.gz</format>
        <format>zip</format>
    </formats>
    <baseDirectory>${project.artifactId}-${project.version}</baseDirectory>
    <includeBaseDirectory>false</includeBaseDirectory>
    <fileSets>
        <fileSet>
            <directory>src/main/resources/bdd</directory>
            <outputDirectory>/</outputDirectory>
            <fileMode>644</fileMode>
            <filtered>true</filtered>
            <lineEnding>unix</lineEnding>
        </fileSet>
    </fileSets>
        <!-- Extracting and adding the fileset from the liasse service project -->
    <dependencySets>
    	<dependencySet>
    		<useProjectArtifact>true</useProjectArtifact>
    		<includes>
    			<!-- use the liasse-service bdd artefact -->
    			<include>fr.ge.common.liasse:liasse-services:tar.gz:bdd</include>
    		</includes>
    		<unpack>true</unpack>
    		<unpackOptions>
				<includes>
					<include>**</include>
				</includes>
    		</unpackOptions>
    	</dependencySet>
    </dependencySets>
</assembly>
